#include "autostart.h"
#include "ui_autostart.h"
#include <QIcon>
#include <QFile>
#include <XdgAutoStart>
#include <XdgDirs>
#include <QMap>

AutoStart::AutoStart(QWidget *parent) :
    Page(parent),
    ui(new Ui::AutoStart)
{
    ui->setupUi(this);
    QFile f(":/qss/autostart.qss");
    if(f.open(QIODevice::ReadOnly))
    {
        QString style = f.readAll().replace("\n", "");
        this->setStyleSheet(style);
    }
    initui();
}

AutoStart::~AutoStart()
{
    delete ui;
}

void AutoStart::refreshPage()
{
    //
}

void AutoStart::initui()
{
    QString s;
    const XdgDesktopFileList systemitemlist = XdgAutoStart::desktopFileList(XdgDirs::autostartDirs(),false);
    for(const XdgDesktopFile& file :systemitemlist )
    {
        if(!file.value(QLatin1String("X-Nde-Module"),false).toBool())
        {
            NdeAutostartItem* item=new NdeAutostartItem(this);
            item->setLabelName(file.name());
            if((file.value(QLatin1String("Icon"),false).toBool()))
            {
                s = file.value(QLatin1String("Icon"),false).toString();
                item->setLabelIcon(QIcon::fromTheme(s).pixmap(QSize(32,32)));
            }
            else
            {
                item->setLabelIcon(QIcon(QLatin1String(":/image/default.png")).pixmap(QSize(32,32)));
            }
            item->setLabelDesktopfile(file);
            item->setTogglemode();
            ui->verticalLayout_2->addWidget(item);
        }
    }
}


