#ifndef DATETIME_H
#define DATETIME_H

#include <QWidget>
#include <QGridLayout>
#include <QStackedWidget>
#include <designer/ndewidgetmaterialtoggle.h>
#include "nsdldatetime.h"
#include "zone.h"
#include "timespliter.h"
#include "../baseui/page.h"

namespace Ui {
class DateTime;
}

class DateTime : public Page
{
    Q_OBJECT

public:
    explicit DateTime(QWidget *parent = nullptr);
    ~DateTime();

public:
    //页面唯一键
    static QString pageKey() {return "datetime";}

    //页面标题
    virtual QString pageTitle() {return tr("DateTime");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair(){
        return QList<QPair<int, QString> >();
    }
    //默认可见的底部按钮
    virtual QList<int> buttomBtnsVisible(){
        return QList<int>();
    }

    //每次进入该界面需要做的操作
    virtual void refreshPage();

private:
    void hideautotime();
    void showautotime();
private Q_SLOTS:
    void onTimeModeClick();
    void onAutotimeClick();
    void onAutotimeResult(bool result);
    void onsetAutotimeMode();
    void onChangezoneClick();
    void onChangetimeClick();
    void onTimeModeChanged();
private:
    void InitDateTime();
    void InitTimemode();
    void InitZone();
    void InitTime();

protected:
    virtual void showEvent(QShowEvent *event);

private:
    Ui::DateTime *ui;
    NdeWidget::QMaterialToggle * toggle_time;
    NdeWidget::QMaterialToggle * toggle_auto;
    bool mode_24hour;
    bool autotime;
    NsdlDateTime dateface;
    QTimer *CurrentTimer {nullptr};
    QString format_time;
    bool bclick{false};
};

#endif // DATETIME_H
