#ifndef DATETIMEINTERFACE_H
#define DATETIMEINTERFACE_H

#include <QObject>
#include <QDateTime>

class DateTimeInterface: public QObject
{
    Q_OBJECT
public:
    explicit DateTimeInterface(QObject *parent = nullptr) : QObject(parent){}
    virtual ~DateTimeInterface(){}
    virtual QString pluginId() const {return "";}

    virtual QDateTime time() {return QDateTime();}
    virtual bool getHourMode() {return false;}
    virtual bool automaticTimeUpdate() {return false;}
    virtual void setAutomaticTimeUpdate(bool enable){ Q_UNUSED(enable);}
    virtual bool automaticTimezoneUpdate(){return false;}
    virtual void setAutomaticTimezoneUpdate(bool enable){ Q_UNUSED(enable);}
    virtual QString timezone(){ return "";}
    virtual void setTimezone(const QString &tz){ Q_UNUSED(tz);}

    virtual void setTime(int hour, int minute){Q_UNUSED(hour);Q_UNUSED(minute);}
    virtual void setDate(const QDate &date){Q_UNUSED(date);}
    virtual void setHourMode(int mode){Q_UNUSED(mode);}

Q_SIGNALS:
    void timeChanged();
    void automaticTimeUpdateChanged();
    void automaticTimezoneUpdateChanged();
    void timezoneChanged();
    void hourMode24Change();

};
QT_BEGIN_NAMESPACE
#define DateTimeInterface_iid "nsdl.DateTimeInterface"

Q_DECLARE_INTERFACE(DateTimeInterface, DateTimeInterface_iid)
QT_END_NAMESPACE

#endif // DATETIMEINTERFACE_H
