#ifndef NSDLDATETIME_H
#define NSDLDATETIME_H

#include "datetimeinterface.h"
#include <QDBusInterface>
#include <QDBusContext>
#include <QObject>
#include <gio/gio.h>

class NsdlDateTime :
        public QObject,
        public QDBusContext
{
    Q_OBJECT
public:
    explicit NsdlDateTime(QObject *parent = nullptr);
    virtual ~NsdlDateTime() ;

    QDateTime time() ;
    bool getHourMode() ;
    bool automaticTimeUpdate() ;
    void setAutomaticTimeUpdate(bool enable) ;
    QString timezone() ;
    void setTimezone(const QString &tz) ;

    void setTime(int hour, int minute) ;
    void setDate(const QDate &date) ;
    void setHourMode(int mode) ;
    void setDateTime(const QDateTime &d_t);
    void ChangetimeMode(){
        Q_EMIT timemodeChanged();
    }
Q_SIGNALS:
    void ChangeNTPResult(bool result);
    void timeChanged();
    void timeChangedError();
    void timemodeChanged();
    void timezoneChangedSucess();
    void timezoneChangedError();
private:
    QString xdgUserConfigDir();
    QString profileDir(QString profile, bool useFallback = false);

private:
    QDBusInterface *mDateTimeInterface;
    QString m_timezone;
    bool askPassword = true;
    GSettings *clock_settings;


};

#endif // NSDLDATETIME_H
