#ifndef TIMESPLITER_H
#define TIMESPLITER_H

#include <QWidget>
#include <QDate>
#include "nsdldatetime.h"
#include <designer/ndewidgetmaterialtoggle.h>
#include "slidingselector.h"

#include "../baseui/page.h"

namespace Ui {
class TimeSpliter;
}

class TimeSpliter : public Page
{
    Q_OBJECT

public:
    explicit TimeSpliter(QWidget *parent = nullptr);
    ~TimeSpliter();

public:
    //页面唯一键
    static QString pageKey() {return "datetime_chtime";}

    //页面标题
    virtual QString pageTitle() {return tr("DateTime");}

    //apply按钮按下后的接口，默认do nothings
    virtual void applyBtnClicked();

    //默认可见的底部按钮
    virtual QList<int> buttomBtnsVisible(){
        return QList<int>();
    }

    //每次进入该界面需要做的操作
    virtual void refreshPage();

private Q_SLOTS:
    void onTimeModeClick();
    void onAutotimeClick();
    void onChangezoneClick();
    void onyearchange(int);
    void ondatechange(int);
    void onmonchange(int);
    void onhourchange(int);
    void onminchange(int);
    void onTimeModeChanged();
    void onAutotimeResult(bool result);
private:
    void settime();
    void setdate();
    void InitZone();
    void InitTime();
    void init();

private:
    Ui::TimeSpliter *ui;
    QPoint mousepoint;

    QString format_time;

    int year;
    QDate date;
    int mon;
    int hour;
    int min;
    NsdlDateTime dateface;
    QTimer *CurrentTimer {nullptr};

    NdeWidget::QMaterialToggle * toggle_time;
    NdeWidget::QMaterialToggle * toggle_auto;
    SlidingSelector * selector_year;
    SlidingSelector * selector_date;
    SlidingSelector * selector_mon;
    SlidingSelector * selector_hour;
    SlidingSelector * selector_min;
    bool bclickauto{false};
};

#endif // TIMESPLITER_H
