#ifndef ZONE_H
#define ZONE_H

#include <QWidget>
#include <QFrame>
#include <QHBoxLayout>
#include <QLabel>
#include <QPushButton>

#include "nsdldatetime.h"

#include "../baseui/page.h"

namespace Ui {
class Zone;
}

class ZoneItem :public QFrame
{
    Q_OBJECT
public:
    explicit ZoneItem(QFrame *parent = nullptr);
    ~ZoneItem();
    void setSelectState(bool state);
    void setText(QString text);
    void setenText(QString text){
        enname_ = text;
    }
    QString Text(){
        return l_zone->text();
    }
    QString enname(){
        return enname_;
    }
protected:
    virtual void mouseReleaseEvent(QMouseEvent *event);
Q_SIGNALS:
    void click(ZoneItem*);
private:
    QHBoxLayout * layout;
    QLabel * l_zone;
    QLabel * l_select;
    QSpacerItem * b_spacer;
    QSpacerItem * m_spacer;
    QString enname_;
};

class Zone : public Page
{
    Q_OBJECT

public:
    explicit Zone(QWidget *parent = nullptr);
    ~Zone();


public:
    //页面唯一键
    static QString pageKey() {return "datetime_timezone";}

    //页面标题
    virtual QString pageTitle() {return tr("Timezone");}

    //Back按钮按下后的接口，主要用于back之前应该处理的一些操作
    virtual void backBtnClicked();

//    //apply按钮按下后的接口，默认do nothings
    virtual void applyBtnClicked();

    //默认可见的底部按钮
    virtual QList<int> buttomBtnsVisible(){
        return QList<int>();
    }

    //每次进入该界面需要做的操作
    virtual void refreshPage();

private Q_SLOTS:
    void onclick(ZoneItem*);
    void onreturnPressed();
    void onSelectSucss();
    void onSelectError();

private:
    void init();

private:
    Ui::Zone *ui;
    ZoneItem *item{nullptr};
    ZoneItem *newitem{nullptr};
    QList<QObject*> dataList;
    QList<ZoneItem*> itemlist;
    NsdlDateTime dateface;
};

#endif // ZONE_H
