#include "defaultappsetting.h"
#include <QFile>
#include <QDebug>
#include <QSysInfo>
#include <QStorageInfo>
#include <QSettings>
#include <libfm-qt/core/bookmarks.h>


void list_type_change(GList *list,QList<NDEAppInfo> *appinfo_list)
{
   GIcon* icon;
   NDEAppInfo*   appinfo = new NDEAppInfo;
   for(;list != NULL ;list = list->next)
   {
        string s = g_app_info_get_name((GAppInfo *)list->data);
        icon = g_app_info_get_icon((GAppInfo*)list->data);
        appinfo->app_name = s.c_str();
        if(icon)
             appinfo->app_icon = Fm::IconInfo::fromGIcon(icon)->qicon();
        appinfo_list->append(*appinfo);
   }
   delete appinfo;
}


int  get_default_app(GList* list,char* mime)
{
        int index = 0;
        GAppInfo* default_app;
        default_app = g_app_info_get_default_for_type(mime,FALSE);
        for(;list != NULL; list = list->next)
        {
                if (default_app != NULL && g_app_info_equal((GAppInfo*)list->data, default_app))
                {
                          break;
                }         
                index++;
        }
        return index;
}




void set_default_app(QComboBox* combox,NDEApplet* applet,GList* list,int type)
{
    unsigned int index;
    GAppInfo* item;
    index = (unsigned int)combox->currentIndex();
    if (index < g_list_length(list))
    {
        item = (GAppInfo*) g_list_nth_data(list,index);
        switch (type)
        {
            case NA_TYPE_WEB_BROWSER:
                    g_app_info_set_as_default_for_type(item, "text/html", NULL);
                    g_app_info_set_as_default_for_type(item, "x-scheme-handler/http", NULL);
                    g_app_info_set_as_default_for_type(item, "x-scheme-handler/https", NULL);
                  /* about:config is used by firefox and others */
                    g_app_info_set_as_default_for_type(item, "x-scheme-handler/about", NULL);
                    break;
            case NA_TYPE_EMAIL:
                    g_app_info_set_as_default_for_type(item, "x-scheme-handler/mailto", NULL);
                    g_app_info_set_as_default_for_type(item, "application/x-extension-eml", NULL);
                    g_app_info_set_as_default_for_type(item, "message/rfc822", NULL);
                    break;
            case NA_TYPE_MUSIC:
                    g_app_info_set_as_default_for_type(item, "audio/mpeg", NULL);
                    g_app_info_set_as_default_for_type(item, "audio/x-mpegurl", NULL);
                    g_app_info_set_as_default_for_type(item, "audio/x-scpls", NULL);
                    g_app_info_set_as_default_for_type(item, "audio/x-vorbis+ogg", NULL);
                    g_app_info_set_as_default_for_type(item, "audio/x-wav", NULL);
                    break;
            case  NA_TYPE_VIDEO:
                    g_app_info_set_as_default_for_type(item, "video/x-avi", NULL);
                    g_app_info_set_as_default_for_type(item, "video/x-flv", NULL);
                    g_app_info_set_as_default_for_type(item, "video/mp4", NULL);
                    g_app_info_set_as_default_for_type(item, "video/mpeg", NULL);
                    g_app_info_set_as_default_for_type(item, "video/webm", NULL);
                    g_app_info_set_as_default_for_type(item, "video/x-matroska", NULL);
                    g_app_info_set_as_default_for_type(item, "video/mp2t", NULL);
                    g_app_info_set_as_default_for_type(item, "video/msvideo", NULL);
                    g_app_info_set_as_default_for_type(item, "video/quicktime", NULL);
                    g_app_info_set_as_default_for_type(item, "video/x-mpeg", NULL);
                    g_app_info_set_as_default_for_type(item, "video/x-ogm+ogg", NULL);
                    break;
            case NA_TYPE_IMAGE:
                    g_app_info_set_as_default_for_type(item, "image/bmp", NULL);
                    g_app_info_set_as_default_for_type(item, "image/gif", NULL);
                    g_app_info_set_as_default_for_type(item, "image/jpeg", NULL);
                    g_app_info_set_as_default_for_type(item, "image/png", NULL);
                    g_app_info_set_as_default_for_type(item, "image/tiff", NULL);
                    break;
            case NA_TYPE_WORD:
                    g_app_info_set_as_default_for_type(item, "application/vnd.oasis.opendocument.text", NULL);
                    g_app_info_set_as_default_for_type(item, "application/msword", NULL);
                    g_app_info_set_as_default_for_type(item, "application/vnd.openxmlformats-officedocument.wordprocessingml.document", NULL);
                    g_app_info_set_as_default_for_type(item,"application/wps-office.docx",NULL);
                    g_app_info_set_as_default_for_type(item,"application/wps-office.doc",NULL);
                    g_app_info_set_as_default_for_type(item,"application/wps-office.wps",NULL);
                    break;
            case NA_TYPE_FILEMANAGER:
                    g_app_info_set_as_default_for_type(item, "inode/directory", NULL);
                    break;
            case NA_TYPE_TEXTEDITOR:
                     g_app_info_set_as_default_for_type(item, "text/plain", NULL);
                     break;
            case NA_TYPE_DOCUMENT:
                     g_app_info_set_as_default_for_type(item, "application/pdf", NULL);
                     break;
             case NA_TYPE_ARCHIVER:
                    g_app_info_set_as_default_for_type(item, "application/zip",NULL);
                    g_app_info_set_as_default_for_type(item, "application/x-gzip",NULL);
                    g_app_info_set_as_default_for_type(item, "application/x-bzip",NULL);

                    g_app_info_set_as_default_for_type(item, "application/x-xz-compressed-tar",NULL);
                    g_app_info_set_as_default_for_type(item, "application/x-compressed-tar",NULL);
                    g_app_info_set_as_default_for_type(item, "application/x-bzip-compressed-tar",NULL);
                    g_app_info_set_as_default_for_type(item, "application/x-tar",NULL);
                    g_app_info_set_as_default_for_type(item, "application/x-tarz",NULL);
                    g_app_info_set_as_default_for_type(item, "application/x-cbr",NULL);
                    g_app_info_set_as_default_for_type(item, "application/vnd.rar",NULL);
                    g_app_info_set_as_default_for_type(item, "application/x-7z-compressed",NULL);
                    g_app_info_set_as_default_for_type(item, "application/x-java-archive",NULL);
                    g_app_info_set_as_default_for_type(item, "application/vnd.comicbook+zip",NULL);
                    g_app_info_set_as_default_for_type(item, "image/svg+xml-compressed",NULL);
                    break;
             default:
                    break;
        }
    }
}


