#ifndef KEYBOARD_H
#define KEYBOARD_H

#include "../baseui/page.h"

namespace Ui {
class KeyBoard;
}

namespace Nde {
  class Settings;
}
class QSettings;

class KeyBoard : public Page
{
    Q_OBJECT

public:
    explicit KeyBoard(QWidget *parent = nullptr);
    ~KeyBoard();

public:
    //页面唯一键
    static QString pageKey() {return "keyboard";}

    //页面标题
    virtual QString pageTitle() {return tr("KeyBoard");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair(){
        return QList<QPair<int, QString> >();
    }

    //刷新界面显示接口
    virtual void refreshPage();

private Q_SLOTS:
    void onSettingsChanged();
    void onKeyBoardLayoutForward();
    void onShortcutForward();

private:
    void initUI();
    void loadSettings();
    void initControls();

private:
    Ui::KeyBoard *ui;
    Nde::Settings* mSettings;
    int mDelay;
    int mOldDelay;
    int mInterval;
    int mOldInterval;
};

#endif // KEYBOARD_H
