#ifndef KEYBOARDLAYOUT_H
#define KEYBOARDLAYOUT_H

#include <QtCore/QtGlobal>
#include "../baseui/page.h"

namespace Ui {
class KeyboardLayout;
}

class KeyboardLayoutItem;

class KeyboardLayout : public Page
{
    Q_OBJECT

public:
    explicit KeyboardLayout(QWidget *parent = nullptr);
    ~KeyboardLayout();

public:
    //页面唯一键
    static QString pageKey() {return "kayboardlayout";}

    //页面标题
    virtual QString pageTitle() {return tr("Keyboard Layout");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair(){
        return QList<QPair<int, QString> >();
    }
    virtual QList<int> buttomBtnsVisible(){ return QList<int>(); }

    //刷新界面显示接口
    virtual void refreshPage();

private Q_SLOTS:
    void onAddKeyboardLayout();
    void onDeleteKeyboardLayoutItem();
    void refreshKeyboardLayoutList();

private:
    void initControls();

private:
    Ui::KeyboardLayout *ui;
};

#endif // KEYBOARDLAYOUT_H
