#ifndef KEYBOARDLAYOUTLIST_H
#define KEYBOARDLAYOUTLIST_H

#include <QtCore/QtGlobal>
#include "../baseui/page.h"

namespace Ui {
class KeyboardLayoutList;
}

class KeyboardLayoutItem;

class KeyboardLayoutList : public Page
{
    Q_OBJECT

public:
    explicit KeyboardLayoutList(QWidget *parent = nullptr);
    ~KeyboardLayoutList();

public:
    //页面唯一键
    static QString pageKey() {return "kayboardlayoutadd";}

    //页面标题
    virtual QString pageTitle() {return tr("Add Keybord Layout");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair(){
        return QList<QPair<int, QString> >();
    }
    virtual QList<int> buttomBtnsVisible(){ return QList<int>(); }

    //刷新界面显示接口
    virtual void refreshPage();

private Q_SLOTS:
    void onSearchTextChanged(const QString &filter);
    void onSelectedKeyboardLayoutItem();
    void onSelKeyboardLayoutsChanged();

private:
    void loadKeyboardLayout();

private:
    Ui::KeyboardLayoutList *ui;
};

#endif // KEYBOARDLAYOUTLIST_H
