#include "keyboardstack.h"
#include "keyboard.h"
#include "keyboardlayout.h"
#include "keyboardlayoutlist.h"
#include "shortcut.h"
#include "shortcutadd.h"

KeyboardStack::KeyboardStack(QWidget *parent) : StackPage(parent)
{
    this->setFirstPage(KeyBoard::pageKey());
}

Page *KeyboardStack::createPage(const QString key)
{
    if(key == KeyBoard::pageKey())
    {
        KeyBoard * page = new KeyBoard(this);
        return page;
    }
    if(key == KeyboardLayout::pageKey())
    {
        KeyboardLayout * page = new KeyboardLayout(this);
        return page;
    }
    if(key == KeyboardLayoutList::pageKey())
    {
        KeyboardLayoutList * page = new KeyboardLayoutList(this);
        return page;
    }
    if(key == Shortcut::pageKey())
    {
        Shortcut * page = new Shortcut(this);
        return page;
    }
    if(key == ShortcutAdd::pageKey())
    {
        ShortcutAdd * page = new ShortcutAdd(this);
        return page;
    }
    return nullptr;
}
