#ifndef SHORTCUTADD_H
#define SHORTCUTADD_H

#include <QWidget>
#include "shortcutinterface.h"
#include "../baseui/messagewidget.h"
#include "../baseui/page.h"

namespace Ui {
class ShortcutAdd;
}

class ShortcutAdd : public Page
{
    Q_OBJECT
public:
    explicit ShortcutAdd(QWidget *parent = nullptr);
    ~ShortcutAdd();

public:
    //页面唯一键
    static QString pageKey() {return "keyboard_addshortcat";}

    //页面标题
    virtual QString pageTitle() {return tr("Add Shortcut");}

    //应用按钮按下的接口
    virtual void applyBtnClicked(){/* */}

    //Back按钮按下后的接口，主要用于back之前应该处理的一些操作
    virtual void backBtnClicked();

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair();
    virtual QList<int> buttomBtnsVisible();
    //底部按钮按下事件响应的接口
    virtual void buttomBtnClicked(const int key);

    //刷新界面显示接口
    virtual void refreshPage();

protected:
    void mousePressEvent (QMouseEvent *);
    void resizeEvent(QResizeEvent* event);

private Q_SLOTS:
    void onScanBtnClick();
    void onCloseNameMessage();
    void onCloseCommandMessage();

//   void onButtonClicked(int timeout = 10);
   void shortcutTimer_timeout();
   void newShortcutGrabbed(const QString &);
   void onInputShortcutClicked(int timeout = 10);
private:
   void addBtnClicked();

private:
    Ui::ShortcutAdd *ui;
    ShortcutInterface * interface_;
    QTimer *mShortcutTimer;
    int mTimeoutCounter;
    MessageWidget *messageW_;
    QMap<qulonglong, GeneralActionInfo> shortcutMap_;
    bool isNewShortcut_;
};

#endif // SHORTCUTADD_H
