#ifndef SHORTCUTITEMFRAME_H
#define SHORTCUTITEMFRAME_H

#include <QWidget>
#include <QFrame>
#include <QHBoxLayout>
#include <QLabel>
#include <QMap>
#include <QLocale>
#include <QToolButton>
#include <QCheckBox>
#include <designer/ndewidgetmaterialtoggle.h>
#include "shortcut/meta_types.h"
#include "shortcutinterface.h"

class ShortcutItemFrame : public QFrame
{
    Q_OBJECT
public:
    explicit ShortcutItemFrame(ShortcutInterface *interface, GeneralActionInfo info, qulonglong id, bool isEidt = false, QFrame *parent = nullptr);
    ~ShortcutItemFrame();

    void hideShortcutInputBtn();
    void editShortcutItem(bool checked);
    bool setEnableShortcut();

Q_SIGNALS:
    void shortcutGrabbed(const QString &);
    void shortcutShow(qulonglong index);

protected:
    virtual bool eventFilter(QObject *watched, QEvent *event);

private Q_SLOTS:
  void onButtonClicked(int timeout = 10);
  void shortcutTimer_timeout();
  void grabShortcut_fail();
  void newShortcutGrabbed(const QString &);
  void onInputShortcutClicked(int timeout = 10);
  void onToggleEnableChanged(bool checked);

private:
  void onDeleteShortcut();

private:
    ShortcutInterface *interface_;
    QHBoxLayout * hLayout_;
    QHBoxLayout * btnLayout_;
    QLabel * l_shortcut;
//    QCheckBox *enableBox_;
    QLabel *label_delete;
    QSpacerItem * spacer_;
    QSpacerItem * spacer2_;
    QStringList sList_;
    QToolButton * intputShortcut_;
    QTimer *mShortcutTimer;
    int mTimeoutCounter;
    QString mOldShortcut;
    GeneralActionInfo info_;
    qulonglong mId;
    QMap<qulonglong, GeneralActionInfo> shortcutMap_;
    QHBoxLayout * enableLayout_;
//    NdeWidget::QMaterialToggle * toggleEnable_;
    QWidget *enableWidget_;
    bool checked_;
};

#endif // SHORTCUTITEMFRAME_H
