#include "logstack.h"

#include "systemlogdetail.h"
#include "systemlogdelete.h"
#include "systemlogexport.h"
#include "systemlogsetting.h"
#include "systemlogmanager.h"

LogStack::LogStack(QWidget *parent) : StackPage(parent)
{
    this->setFirstPage(SystemLogManager::pageKey());
}

Page *LogStack::createPage(const QString key)
{
    if(key == SystemLogManager::pageKey())
    {
        SystemLogManager * page = new SystemLogManager(this);
        connect(page, &SystemLogManager::openLogInfo, this, &LogStack::slotOpenLogInfo);
        return page;
    }
    else if(key == SystemLogExport::pageKey())
    {
        SystemLogExport * page = new SystemLogExport(this);
        return page;
    }
    else if(key == SystemLogDelete::pageKey())
    {
        SystemLogDelete * page = new SystemLogDelete(this);
        return page;
    }
    else if(key == SystemLogDetail::pageKey())
    {
        SystemLogDetail * page = new SystemLogDetail(this);
        return page;
    }
    else if(key == SystemLogSetting::pageKey())
    {
        SystemLogSetting * page = new SystemLogSetting(this);
        return page;
    }
    return nullptr;
}

void LogStack::slotOpenLogInfo(const QString &logName, LogListItem::LOG_TYPE type)
{
    this->setNextPage(SystemLogDetail::pageKey());
    Page *page = this->getPage(SystemLogDetail::pageKey());
    SystemLogDetail * tmpPage = qobject_cast<SystemLogDetail*>(page);
    if(tmpPage)
    {
        tmpPage->openLogInfo(logName, type);
    }
}
