#ifndef SYSTEMLOGDELETE_H
#define SYSTEMLOGDELETE_H

#include <QStackedWidget>
#include <QDateTime>
#include <QFileInfo>
#include "loglistitem.h"
#include "../baseui/page.h"

namespace Ui {
class SystemLogDelete;
}

class SystemLogDelete : public Page
{
    Q_OBJECT
public:
    explicit SystemLogDelete(QWidget *parent = nullptr);
    ~SystemLogDelete();

public:
    //页面唯一键
    static QString pageKey() {return "systemlogdelete";}

    //页面标题
    virtual QString pageTitle(){return tr("Total Log");}

    //Back按钮按下后的接口，主要用于back之前应该处理的一些操作
    virtual void backBtnClicked();

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair();
    //红色的底部按钮,底部按钮默认为蓝色
    virtual QList<int> buttomBtnsRed();
    //默认可见的底部按钮
    virtual QList<int> buttomBtnsVisible();
    //底部按钮按下事件响应的接口
    virtual void buttomBtnClicked(const int key);

    //每次进入该界面都会执行该函数，界面刷新的代码可以放在此函数
    virtual void refreshPage() ;

private:
    void clearLayoutList();
    void deleteLog();
    void loadLogDir(LogListItem::LOG_LIST_TYPE listType = LogListItem::LogMainList);
    bool isDirEmpty(QString baseName, QFileInfo fileInfo);

private:
    Ui::SystemLogDelete *ui;
};
#endif // SYSTEMLOGDELETE_H
