#ifndef SYSTEMLOGMANAGER_H
#define SYSTEMLOGMANAGER_H

#include <QDateTime>
#include <QFileInfo>
#include "loglistitem.h"
#include "../baseui/page.h"

namespace Ui {
class SystemLogManager;
}

class SystemLogManager : public Page
{
    Q_OBJECT
public:
    explicit SystemLogManager(QWidget *parent = nullptr);
    ~SystemLogManager();

public:
    //页面唯一键
    static QString pageKey() {return "systemlogmanager";}

    //页面标题
    virtual QString pageTitle(){return tr("Log Manager");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair();
    //默认可见的底部按钮
    virtual QList<int> buttomBtnsVisible();
    //底部按钮按下事件响应的接口
    virtual void buttomBtnClicked(const int key);

    //每次进入该界面都会执行该函数，界面刷新的代码可以放在此函数
    virtual void refreshPage() ;

Q_SIGNALS:
    void openLogInfo(const QString & logName , LogListItem::LOG_TYPE type);

private slots:
    void on_settingButton_clicked();
private:
    void clearLayoutList();
    void loadLogDir(LogListItem::LOG_LIST_TYPE listType = LogListItem::LogMainList);
    void loadJournalLog();
    void doAutoClean();
    bool isDirEmpty(QString baseName, QFileInfo fileInfo);

private:
    Ui::SystemLogManager *ui;
};
#endif // SYSTEMLOGMANAGER_H
