#include "systemlogsetting.h"
#include "ui_systemlogsetting.h"
#include <QDir>
#include <QDebug>
#include <QSettings>

SystemLogSetting::SystemLogSetting(QWidget *parent) :
    Page(parent),
    ui(new Ui::SystemLogSetting)
{
    ui->setupUi(this);
    QFile f(":/qss/systemlogsetting.qss");
    if(f.open(QIODevice::ReadOnly))
    {
        QString style = f.readAll().replace("\n", "");
        this->setStyleSheet(style);
    }

    ui->autoCleanCombox->setCurrentIndex(QSettings{}.value("autoDeleteInterval", 0).toInt());
    connect(ui->autoCleanCombox, QOverload<int>::of(&QComboBox::currentIndexChanged), this, &SystemLogSetting::slotAutoCleanComboxChanged);
}

SystemLogSetting::~SystemLogSetting()
{
    delete ui;
}

void SystemLogSetting::refreshPage()
{
    //
}

void SystemLogSetting::slotAutoCleanComboxChanged(int index)
{
    QSettings{}.setValue("autoDeleteInterval", index);
}
