#ifndef PICTURE_H
#define PICTURE_H

#include "wallpaperitemlist.h"
#include <QDBusInterface>
#include "../baseui/page.h"

namespace Ui {
class Picture;
}

class Picture : public Page
{
    Q_OBJECT
public:
    explicit Picture(QWidget *parent = nullptr);
    ~Picture();

public:
    //页面唯一键
    static QString pageKey() {return "picture";}

    //页面标题
    virtual QString pageTitle(){return tr("Wallpaper");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair();
    //红色的底部按钮
    virtual QList<int> buttomBtnsRed();
    //默认可见的底部按钮
    virtual QList<int> buttomBtnsVisible();
    //底部按钮按下事件响应的接口
    virtual void buttomBtnClicked(const int key);

    //每次进入该界面都会执行该函数，界面刷新的代码可以放在此函数
    virtual void refreshPage() ;

protected:
    virtual void resizeEvent(QResizeEvent *event);

private:
    void deleteItem();
    void addItem(QString path);
    bool picturesChanged(QString path,QString type);
    QString get_current_wallpaper();

    bool isSystemDir(QString path);
    void setwallPaperGraphic(int index, QString path);
    int getwallPaperInterval(int index);
    QString getwallPapersetPath();
    void setWallpaperCloseTimer();
    QString getLastWallpaperInterval();
    int getwallPaperIntervalIndex(int interval);
    void initwallPaperGraphic(int index, QString path);
    QString getcurrentwallPaperPath();
    void setCurrentWallpaper();

private Q_SLOTS:
    void on_setButton_clicked();
    void on_addButton_clicked();
    void on_delButton_clicked();
    void slot_itemClicked();
    void on_comboBox_pattern_currentIndexChanged(int index);
    void on_selectPathButton_clicked();
    void on_comboBox_interval_currentIndexChanged(int index);

private:
    void InitUI();
    void resizeWallpaperList();
    void onFolderReload();

private:
    Ui::Picture *ui;
    WallpaerItemList * list;
    QString filename_;
    QString newName_;
    QDBusInterface *m_interface;
    QString m_wallpaperpattern;
};

#endif // PICTURE_H
