#include "wallpaperitem.h"
#include <QPainter>
#include <QFile>
#include <QPainterPath>
#define PEN_FRAME 10

WallpaperItem::WallpaperItem(QWidget *parent) :NdeWidget::ImageListItemWidget(parent)
{

}

WallpaperItem::~WallpaperItem()
{

}


void WallpaperItem::paintEvent(QPaintEvent *event)
{
    QPainter painter(this);
    painter.setRenderHints(QPainter::Antialiasing | QPainter::SmoothPixmapTransform);//消锯齿
    painter.setRenderHints(QPainter::SmoothPixmapTransform,true);
    painter.beginNativePainting();

    QRect rc = this->rect();


    //画选择框
    if(this->selected())
    {
        painter.setPen(QPen(QColor("#2c9dfc"),PEN_FRAME));
        painter.setBrush(Qt::NoBrush);
        painter.drawRect(rc);
    }

    //画图形
    if(!this->pixmap().isNull())
    {
        QRect pixmapRc =getPixmapRect();
        QPainterPath path;
        path.addRoundedRect(pixmapRc,4,4);
        painter.setClipPath(path);
        painter.setPen(Qt::NoPen);
        painter.setBrush(Qt::NoBrush);
        painter.drawPixmap(pixmapRc, this->pixmap());
    }

    //画选中图标
    if(CurrentWallpaper)
    {
        QRect selectRc=rc.adjusted(154,10,-10,-94);
        painter.setPen(Qt::NoPen);
        painter.setBrush(Qt::NoBrush);
        painter.drawPixmap(selectRc, QPixmap(":/image/seleted.png"));
    }

    painter.endNativePainting();
}

QRect WallpaperItem::getPixmapRect()
{
    QRect rc = this->rect();
    QRect imageRc = rc.adjusted(4,4,-4,-4);

    if(imageRc.height() > this->imageSize().height() )
    {
        int offset = (imageRc.height() - this->imageSize().height())/2;
        imageRc.adjust(0,offset, 0, -offset);
    }
    if(imageRc.width() > this->imageSize().width())
    {
        int offset = (imageRc.width()-this->imageSize().width())/2;
        imageRc.adjust(offset, 0, -offset, 0);
    }
    return imageRc;
}

void WallpaperItem::setCurrentWallpaper(bool enable)
{
    CurrentWallpaper = enable;
    update();
}

