#ifndef  SCREENSAVER_H
#define SCREENSAVER_H

#include "../baseui/page.h"
#include "../picture/wallpaperitemlist.h"
#include "../picture/wallpaperitem.h"
#include <designer/ndewidgetmaterialtoggle.h>
#include <QStyledItemDelegate>

namespace Ui {
class ScreenSaver;
}

class ScreenSaver : public Page
{
    Q_OBJECT

public:
    explicit ScreenSaver(QWidget *parent = nullptr);
    ~ScreenSaver();

public:
    //页面唯一键
    static QString pageKey() {return "screensaver";}

    //页面标题
    virtual QString pageTitle() {return tr("ScreenSaver");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair(){
        return QList<QPair<int, QString> >();
    }
    virtual QList<int> buttomBtnsVisible(){ return QList<int>(); }

    //刷新界面显示接口
    virtual void refreshPage();

protected:
    virtual void resizeEvent(QResizeEvent *event);

private Q_SLOTS:
    void onToggleShowChecked();
    void onToggleLockChecked();
    void setScreenSaver();
    void setScreensaverTime();

private:
    void resizeWallpaperList();

private:
    Ui::ScreenSaver *ui;
    WallpaerItemList * list;
    NdeWidget::QMaterialToggle * toggle_show;
    NdeWidget::QMaterialToggle * toggle_lock;
    QStyledItemDelegate* delegate;
    void initUI();
    void setToggleShowStatus();
    void setToggleLockStatus();
    void addItem_to_comboBox();
    void getScreensaverTime();
    void setCurrentScreensaver();
    QString getcurrentScreensaverPath();
};


#endif // SCREENSAVER_H
