#include "aboutnde.h"
#include "ui_aboutnde.h"
#include <QStyle>
#include <QFile>
#include <QTextStream>

#define PAGE_BUTTOM_BTN_ABOUTQT (Page::PAGE_BBTN_USER+1)

AboutNDE::AboutNDE(QWidget *parent) :
    Page(parent),
    ui(new Ui::AboutNDE)
{
    ui->setupUi(this);
    QFile f(":/qss/aboutnde.qss");
    if(f.open(QIODevice::ReadOnly))
    {
        QString style = f.readAll().replace("\n", "");
        this->setStyleSheet(style);
    }

    ui->lab_aboutNDE->setTextInteractionFlags(Qt::TextInteractionFlags(style()->styleHint(QStyle::SH_MessageBox_TextInteractionFlags, nullptr, this)));
    ui->lab_aboutNDE->setAlignment(Qt::AlignTop | Qt::AlignLeft);
    ui->lab_aboutNDE->setWordWrap(true);
    ui->lab_aboutNDE->setIndent(2);
    QFile file(":/resources/aboutNde.txt");
    if (file.open(QIODevice::ReadOnly | QIODevice::Text)) {
        QTextStream in(&file);
        QString configContent = in.readAll();
        ui->lab_aboutNDE->setText(configContent);
        file.close();
    }
}

AboutNDE::~AboutNDE()
{
    delete ui;
}

void AboutNDE::backBtnClicked()
{

}

void AboutNDE::refreshPage()
{
    Q_EMIT buttomBtnVisibleChanged(PAGE_BUTTOM_BTN_ABOUTQT, true);
}

QList<QPair<int, QString> > AboutNDE::buttomBtnsPair()
{
    QList<QPair<int, QString> > pairs;
    pairs.append(QPair<int, QString>(PAGE_BUTTOM_BTN_ABOUTQT, tr("About Qt")));
    return pairs;
}

void AboutNDE::buttomBtnClicked(const int key)
{
    if(key == PAGE_BUTTOM_BTN_ABOUTQT)
    {
        qApp->aboutQt();
    }

}
