#include "systeminfostack.h"
#include "systeminfo.h"
#include "renamehost/renamehost.h"
#include "aboutnde/aboutnde.h"

SystemInfoStack::SystemInfoStack(QWidget *parent) : StackPage(parent)
{
    this->setFirstPage(SystemInfo::pageKey());
}

Page *SystemInfoStack::createPage(const QString key)
{
    if(key == SystemInfo::pageKey())
    {
        SystemInfo * page = new SystemInfo(this);
        return page;
    }
    else if (key == RenameHost::pageKey())
    {
        RenameHost * page = new RenameHost(this);
        return page;
    }else if (key == VirtualMemory::pageKey())
    {
        VirtualMemory * page = new VirtualMemory(this);
        return page;
    }else if (key == AboutNDE::pageKey())
    {
        AboutNDE * page = new AboutNDE(this);
        return page;
    }
    return nullptr;
}
