#ifndef COMMONMENU_H
#define COMMONMENU_H

#include <QWidget>
#include <XdgMenu>
#include <XdgDesktopFile>
#include "../baseui/page.h"

namespace Ui {
class CommonMenu;
}

class ApplicationFrame;

class CommonMenu : public Page
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "org.nde.systemsettings.CommonMenu")
public:
    explicit CommonMenu(QWidget *parent = nullptr);
    ~CommonMenu();

public:
    //页面唯一键
    static QString pageKey() {return "taskbar_commonmenu";}

    //页面标题
    virtual QString pageTitle() {return tr("Common Menu");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair(){
        return QList<QPair<int, QString> >();
    }
    virtual QList<int> buttomBtnsVisible(){ return QList<int>(); }

    //刷新界面显示接口
    virtual void refreshPage();

public Q_SLOTS:
    //dbus 接口
    void commonAppFixedChanged(QString filname);

private:
    void init();
    void createUI();
    void buildMenu();
    void parseXdgMenu(QDomElement &root, QString category);
    void getListNormalApps();

private:
    Ui::CommonMenu *ui;
    XdgMenu xdgMenu_;
    QHash<QString, QList<XdgDesktopFile> > mapNormalApps_;
    QList<XdgDesktopFile> listNormalApps_;
    QMap<QString, ApplicationFrame*> mapApps_;
};

#endif // COMMONMENU_H
