#include <QFile>
#include <QTimer>
#include <QMessageBox>
#include <QList>
#include "showsystemiconintray.h"
#include "ui_showsystemiconintray.h"

ShowSystemIconInTray::ShowSystemIconInTray(QWidget *parent) :
    Page(parent),
    ui(new Ui::ShowSystemIconInTray)
{
    ui->setupUi(this);
    QFile f(":/qss/showsystemiconintray.qss");
    if(f.open(QIODevice::ReadOnly))
    {
        QString style = f.readAll().replace("\n", "");
        this->setStyleSheet(style);
    }
    init();
}

ShowSystemIconInTray::~ShowSystemIconInTray()
{
    delete ui;
}

void ShowSystemIconInTray::refreshPage()
{
    //
}

void ShowSystemIconInTray::init()
{
    QList<SystemIconData> lists;
    SystemIconData data;
    data.name = tr("Volume");
    data.command = "nde-volume";
    data.icon = "nde-sysIcon-volume";
    lists.append(data);
    data.name = tr("Network");
    data.command = "nde-networkmanager";
    data.icon = "nde-sysIcon-network";
    lists.append(data);
    data.name = tr("Power supply");
    data.command = "nde-powermanagement";
    data.icon = "nde-sysIcon-power";
    lists.append(data);
    data.name = tr("Input instructions");
    data.command = "输入法";
    data.icon = "nde-sysIcon-inputInstructions";
    lists.append(data);

    mapApps_.clear();

    for (const SystemIconData& s : lists) {
        if(s.command == "nde-powermanagement")
        {
            Nde::Settings * powersetting = new Nde::Settings(QLatin1String("nde-powermanagement"), this);
            bool enableBatteryWatcher = powersetting->value("enableBatteryWatcher", false).toBool();
            if(!enableBatteryWatcher){
                continue;
            }
        }
        ApplicationFrame * item = new ApplicationFrame(s);
        ui->showSystemIconLayout->addWidget(item);
        //mapApps_.insert(s, item);
    }
}
