#ifndef SHOWSYSTEMICONINTRAY_H
#define SHOWSYSTEMICONINTRAY_H

#include <QWidget>
#include <XdgMenu>
#include <XdgDesktopFile>
#include "applicationframe.h"
#include "../baseui/page.h"

namespace Ui {
class ShowSystemIconInTray;
}

class ShowSystemIconInTray : public Page
{
    Q_OBJECT

public:
    explicit ShowSystemIconInTray(QWidget *parent = nullptr);
    ~ShowSystemIconInTray();

public:
    //页面唯一键
    static QString pageKey() {return "taskbar_tray";}

    //页面标题
    virtual QString pageTitle() {return tr("Tray");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair(){
        return QList<QPair<int, QString> >();
    }
    virtual QList<int> buttomBtnsVisible(){ return QList<int>(); }

    //刷新界面显示接口
    virtual void refreshPage();

private:
    void init();

private:
    Ui::ShowSystemIconInTray *ui;
    QMap<SystemIconData, ApplicationFrame*> mapApps_;
};

#endif // SHOWSYSTEMICONINTRAY_H
