#include "theme.h"
#include "ui_theme.h"
#include "mainthemelist.h"
#include <QProcess>
#include "themeitem.h"
#include "maintheme.h"
#include <Nde/Settings>
#include <QButtonGroup>
#include <QtDBus/QDBusInterface>
#include <QMessageBox>
#include <Nde/Application>

Theme::Theme(QWidget *parent) :
    Page(parent),
    ui(new Ui::Theme)
{
    ui->setupUi(this);
    initUi();
    QFile f(":/qss/theme.qss");
    if(f.open(QIODevice::ReadOnly))
    {
        QString style = f.readAll().replace("\n", "");
        this->setStyleSheet(style);
    }
}

Theme::~Theme()
{
    delete ui;
    delete themePage;
}

void Theme::applyBtnClicked()
{
    if(themePage->listNdeThemeName().size() > mainThemeList->getSelectedIndex())
        themePage->apply(themePage->listNdeThemeName().at(mainThemeList->getSelectedIndex()));
}

void Theme::refreshPage()
{

}

void Theme::applyCursorTheme(QString name)
{
    cursorTheme->apply(name);
}

void Theme::applyIconTheme(QString name)
{
    iconTheme->apply(name);
}

void Theme::initUi()
{
    settings = new Nde::Settings("nde");
    sessionSettings = new Nde::Settings("session");

    // 主题包数据类，若主题包内含有光标、图标配置则应用
    themePage = new NdeThemeConfig(settings);
    QStringList allThemeName = themePage->listNdeThemeName();
    connect(themePage, SIGNAL(setCursorFromConfig(QString)), this, SLOT(applyCursorTheme(QString)));
    connect(themePage, SIGNAL(setIconFromConfig(QString)), this, SLOT(applyIconTheme(QString)));

    // 主题模式选择列表，采用自定义网格布局
    mainThemeList = new MainThemeList(this);
    for (int i = 0; i < allThemeName.count(); i++){
        mainThemeList->addItem(allThemeName.at(i), i);
    }

    mainThemeList->setCurrentTheme(themePage->currentNdeTheme());
    ui->verticalLayout_themePattern->addWidget(mainThemeList);

    // 光标列表
    cursorTheme = new CursorThemeConfig(sessionSettings);

    // 图标列表
    // name 用于索引
    // test 用于显示
    iconTheme = new IconThemeConfig(settings);
}
