#ifndef THEME_H
#define THEME_H

#include <QWidget>
#include <QVBoxLayout>
#include "../src/settingspluginlibrary.h"
#include "iconthemeconfig.h"
#include "xcursorthemeconfig.h"
#include <QButtonGroup>
#include "crtheme.h"
#include "maintheme.h"
#include "themepatternbtn.h"
#include <QList>
#include "themeitem.h"
#include "mainthemelist.h"
#include <designer/ndewidgetmaterialtoggle.h>
#include "../baseui/page.h"

namespace Ui {
class Theme;
}

class Theme : public Page
{
    Q_OBJECT

public:
    explicit Theme(QWidget *parent = nullptr);
    ~Theme();

public:
    //页面唯一键
    static QString pageKey() {return "theme";}

    //页面标题
    virtual QString pageTitle() {return tr("Theme");}

    //应用按钮按下的接口
    virtual void applyBtnClicked();

    //每次进入该界面需要做的操作
    virtual void refreshPage();

private Q_SLOTS:

    void applyCursorTheme(QString name);
    void applyIconTheme(QString name);

private:
    void initUi();

private:
    Ui::Theme *ui;
    QVBoxLayout *VLayoutIcon;
    QVBoxLayout *VLayoutCursor;

    IconThemeConfig* iconTheme;
    CursorThemeConfig* cursorTheme;
    NdeThemeConfig* themePage;
    MainThemeList *mainThemeList;
    ThemePatternBtn *themePatternBtn;

//    QList<ThemeItem *> iconThemeList;
//    QList<ThemeItem *> cursorThemeList;

//    QButtonGroup* cursorThemeCheckBtnGroup;
//    QButtonGroup* iconThemeCheckBtnGroup;

    NdeWidget::QMaterialToggle * themeCompositorSwitch;
    bool mCompositorOpen;
    bool SetmCompositorOpen;

    Nde::Settings* settings;
    Nde::Settings* sessionSettings;

//    int currentCursorIndex;
//    int currentIconIndex;
};


#endif // THEME_H
