#ifndef XCURSORTHEMECONFIG_H
#define XCURSORTHEMECONFIG_H

#include "xcursorthemeinfo.h"
#include <QWidget>

namespace Nde {
class Settings;
}


class CursorThemeConfig
{
public:
    CursorThemeConfig(Nde::Settings *settings);
    ~CursorThemeConfig();

    QList<QPixmap> listCurosorThemeIcon(XCursorThemeData *theme);
    QList<XCursorThemeData *> listCursorTheme();

    XCursorThemeData* getCurrentCursorTheme();
    XCursorThemeData* getCursorThemeFromName(QString name);
    void apply(QString CursorThemeText, QString warning="", QString text="", QString btnText="");
    QString cursorThemeName();

private:
    void initCursorsThemes();

    Nde::Settings *m_settings;
    QString currentCursorThemeName;

    QList<XCursorThemeData *> themeInfos;
    QMap<XCursorThemeData*, QList<QPixmap>> iconsMap;
};


#endif // XCURSORTHEMECONFIG_H
