#ifndef CHANGEUSERNAME_H
#define CHANGEUSERNAME_H

#include <QWidget>
#include <QtAccountsService/AccountsManager>
#include <QtAccountsService/UserAccount>
#include "../baseui/messagewidget.h"
#include "../baseui/page.h"

namespace Ui {
class ChangeUserName;
}

using namespace QtAccountsService;

class ChangeUserName : public Page
{
    Q_OBJECT
public:
    explicit ChangeUserName(QWidget *parent = nullptr);
    ~ChangeUserName();


public:
    //页面唯一键
    static QString  pageKey() {return "user_changeusername";}

    //页面标题
    virtual QString pageTitle() {return tr("Change User Name");}

    //Back按钮按下后的接口，主要用于back之前应该处理的一些操作
    virtual void backBtnClicked();

    //apply按钮按下后的接口，默认do nothings
    virtual void applyBtnClicked();

    //每次进入该界面需要做的操作
    virtual void refreshPage();

public:
    void setUserAccount(UserAccount *user) {
        userAccount_ = user;
    }

Q_SIGNALS:
    void changeAccountName(QString newName);
    void autoLoginCancel();

protected:
    void mousePressEvent (QMouseEvent *);
    void resizeEvent(QResizeEvent* event);
    
private Q_SLOTS:
    void onCloseNameMessage();

private:
    void cancelAutoLogin(QString userName, bool isCheck);
    void avatarRename(QString oldName, QString newName);

private:
    Ui::ChangeUserName *ui;
    UserAccount * userAccount_;
    MessageWidget *messageW_;
};

#endif // CHANGEUSERNAME_H
