#ifndef USERINSTANCE_H
#define USERINSTANCE_H

#include <QObject>
#include <QtAccountsService/AccountsManager>
#include <QtAccountsService/UserAccount>

class UserInstance : public QObject
{
    Q_OBJECT
private:
    explicit UserInstance(QObject *parent = nullptr);

public:
    static UserInstance* getIns();

    QtAccountsService::AccountsManager * getAccountsManager();
    QtAccountsService::UserAccount * getCurrentUser();
    QtAccountsService::UserAccountList getOtherUserList();
    void reloadUser();

    // 判断是否是剩下最后一个管理员
    bool isLastManager();
    // 判断用户是否正在登录状态
    bool isUserLogining(QString userName);
    //获取但前用户名
    QString getCurrentUserName();
    //判断当前用户是管理员
    bool isAdministratorUser();
private:
    void loadUsers();

private:
    QtAccountsService::AccountsManager * manager_{nullptr};
    QtAccountsService::UserAccount * currentUser_{nullptr};
    QtAccountsService::UserAccountList otherUserList_;
};

#endif // USERINSTANCE_H
